#ifndef SHARED_BB_EXAMVIEW_H
#define SHARED_BB_EXAMVIEW_H

#define MAX_CHOICE 20

typedef struct xml_choice
{
    char *one_choice;
    char *id;
    int correct;
}XML_CHOICE;

typedef struct xml_question
{
    char *quest;
    char *feedback;
    char type[10];
    XML_CHOICE choices[MAX_CHOICE];
    struct xml_question *next;
}XML_QUESTION;

typedef struct quest_list
{
    char *title;
    XML_QUESTION *head;
    XML_QUESTION *current;
}QUEST_LIST;


void free_xml_data_list(QUEST_LIST *list);
void get_xml_file( char *xml_org_file, char *unique_fname);
void xml_to_jbc ( QUEST_LIST *list, char *jbc_file);
void send_jbc_file(const char *jbc_file, const char *org_file);
XML_QUESTION *initialize();
void
dat_to_jbc ( QUEST_LIST *list, char *jbc_file);
#endif
